commit: 00f8bb0591d03b488ab31d373ec6832031ebba0a
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 2 02:42:37 2025 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Jun 2 03:03:45 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00f8bb05
games-strategy/naev: add 0.12.5
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
games-strategy/naev/Manifest | 1 +
games-strategy/naev/naev-0.12.5.ebuild | 102 +++++++++++++++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/games-strategy/naev/Manifest b/games-strategy/naev/Manifest
index 0662df459864..38383fc55ea4 100644
--- a/games-strategy/naev/Manifest
+++ b/games-strategy/naev/Manifest
@@ -1 +1,2 @@
DIST naev-0.12.4-source.tar.xz 466125960 BLAKE2B
3b39a7c6e969762580b380e378ea3e078792be14848b0d30d564fa9bf4586f1219ff0b72f419cf02aa364c2bc56aeb47cc39ef07f77b0e3108894e7235ff9504
SHA512
4eaf44a983e218e1c3b8d730d768cfd659fa90efb140b8cbf18d743276eba2e3af71dc66ab47dd369e9eedabcafc109b79de4f97c93c8d38306c74d59a0340ae
+DIST naev-0.12.5-source.tar.xz 466103348 BLAKE2B
0e327be29ed4059d21afc2c4aaf80b345a23c1e23068bbc22a66d49794fe2341890d19d4b87a159cb5d3191ee679b753cf3bf79ba61a6835e577541965eca304
SHA512
1f30a674c8fd32a1d52b62b60ac032865993a513284b76417f00f00c30747475af914fb721410c8e378b154e6e4475414d5db3ea8f543a2eea2b3d37d83fecf0
diff --git a/games-strategy/naev/naev-0.12.5.ebuild
b/games-strategy/naev/naev-0.12.5.ebuild
new file mode 100644
index 000000000000..0958c4900a05
--- /dev/null
+++ b/games-strategy/naev/naev-0.12.5.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( luajit )
+PYTHON_COMPAT=( python3_{11..14} )
+inherit lua-single meson python-any-r1 xdg
+
+DESCRIPTION="2D space trading and combat game, in a similar vein to Escape
Velocity"
+HOMEPAGE="https://naev.org/"
+SRC_URI="https://github.com/naev/naev/releases/download/v${PV}/${P}-source.tar.xz"
+
+LICENSE="
+ GPL-3+
+ Apache-2.0 BSD BSD-2 CC-BY-2.0 CC-BY-3.0 CC-BY-4.0 CC-BY-SA-3.0
+ CC-BY-SA-4.0 CC0-1.0 GPL-2+ MIT OFL-1.1 public-domain
+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# tests are very basic, equivalent to just starting the game and checking if
+# can see the main menu -- but this breaks easily with software rendering and
+# some Xorg/mesa versions, simpler to do manually than try to keep this working
+RESTRICT="test"
+
+# dlopen: libglvnd
+RDEPEND="
+ ${LUA_DEPS}
+ app-text/cmark:=
+ dev-games/physfs
+ dev-libs/libpcre2:=
+ dev-libs/libunibreak:=
+ dev-libs/libxml2:=
+ dev-libs/libyaml
+ dev-libs/nativefiledialog-extended
+ media-libs/freetype:2
+ media-libs/libglvnd
+ media-libs/libsdl2[joystick,opengl,video]
+ media-libs/libvorbis
+ media-libs/openal
+ media-libs/sdl2-image[png,webp]
+ net-libs/enet:1.3=
+ sci-libs/cholmod
+ sci-libs/cxsparse
+ sci-libs/openblas
+ sci-libs/suitesparse
+ sci-mathematics/glpk:=
+ virtual/libintl
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ $(python_gen_any_dep 'dev-python/pyyaml[${PYTHON_USEDEP}]')
+ sys-devel/gettext
+ doc? (
+ app-text/doxygen
+ dev-lua/ldoc
+ media-gfx/graphviz
+ )
+"
+
+python_check_deps() {
+ python_has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ lua-single_pkg_setup
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # don't probe OpenGL for tests (avoids sandbox violations, bug #829369)
+ sed -i "/subdir('glcheck')/d" test/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ # *can* do lua5-1 but upstream uses+test luajit most (bug
#946881)
+ -Dluajit=enabled
+ $(meson_feature doc docs_c)
+ $(meson_feature doc docs_lua)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ local DOCS=( CHANGELOG Readme.md )
+ meson_src_install
+
+ if use doc; then
+ dodir /usr/share/doc/${PF}/html
+ mv -- "${ED}"/usr/{doc/naev/{c,lua},share/doc/${PF}/html} || die
+ rm -r -- "${ED}"/usr/doc || die
+ fi
+
+ rm -r -- "${ED}"/usr/share/doc/naev || die
+}